import { Test, TestingModule } from '@nestjs/testing';
import { VoiceService } from './voice.service';
import {HttpService} from "@nestjs/axios";
import {HttpServiceMock} from "../mocks/httpservice.mock";
import {ConfigService} from "@nestjs/config";
import {ConfigServiceMock} from "../mocks/config-service.mock";

describe('VoiceService', () => {
  let service: VoiceService;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      providers: [
        VoiceService,
        { provide: HttpService, useValue: HttpServiceMock },
        { provide: ConfigService, useValue: ConfigServiceMock }
      ],
    }).compile();

    service = module.get<VoiceService>(VoiceService);
  });

  it('should be defined', () => {
    expect(service).toBeDefined();
  });
});
